%global module_name mwlib.docbook

Name:           python-mwlib-docbook
Version:        0.1.0
Release:        3%{?dist}
Summary:        DocBook writer for mwlib

License:        BSD
URL:            https://github.com/pediapress/%{module_name}
Source0:        http://pypi.python.org/packages/source/m/%{module_name}/%{module_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
Requires:       python-mwlib
Requires:       python-mwlib-xhtml

%description
mwlib provides a library for parsing MediaWiki articles and converting them to
different output formats. This package contains the necessary code to output
articles in DocBook format.


%prep
%setup -qn %{module_name}-%{version}

sed -i '/^#!/d' mwlib/*.py
chmod a-x mwlib/*.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%{python_sitelib}/%{module_name}-*
%{python_sitelib}/mwlib/*


%changelog
* Fri Feb 17 2012 Ian Weller <iweller@redhat.com> - 0.1.0-3
- Add BR: python-setuptools

* Wed Feb 15 2012 Ian Weller <iweller@redhat.com> - 0.1.0-2
- Change BR: python-devel to python2-devel
- rm rm -rf

* Tue Jan 31 2012 Ian Weller <iweller@redhat.com> - 0.1.0-1
- Initial package build
